org.apache.ignite

## Interface IgniteDataLoader.Updater<K,V>

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  GridDrDataLoadCacheUpdater

Enclosing interface:
  IgniteDataLoader<K,V>

    public static interface IgniteDataLoader.Updater<K,V>
    extends Serializable

Updates cache with batch of entries. Usually it is enough to configure `IgniteDataLoader.allowOverwrite(boolean)` property and appropriate internal cache updater will be chosen automatically. But in some cases to achieve best performance custom user-defined implementation may help.

Data loader can be configured to use custom implementation of updater instead of default one using `IgniteDataLoader.updater(IgniteDataLoader.Updater)` method.

### Method Summary

Methods
`void` `update(IgniteCache<K,V> cache, Collection<Map.Entry<K,V>> entries)` Updates cache with batch of entries.

### Method Detail

#### update

    void update(IgniteCache<K,V> cache,
              Collection<Map.Entry<K,V>> entries)
                throws IgniteException

Updates cache with batch of entries.

Parameters:
  `cache` - Cache.
  `entries` - Collection of entries.
Throws:
  `IgniteException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015